package com.cicdi.notify;

/**
 * 默认通知类型
 *
 * @author xueye
 */
public enum DefaultNotifyType implements NotifyType {

    email("邮件"),
    sms("短信"),
    wechat("微信");

    private final String name;

    DefaultNotifyType(String name) {
        this.name = name;
    }

    @Override
    public String getId() {
        return name();
    }

    @Override
    public String getName() {
        return name;
    }

}
