package com.cicdi.notify.sms.aliyun;

import com.alibaba.fastjson.JSON;
import com.cicdi.notify.template.Template;

import java.util.Map;

/**
 * 阿里云短信模版
 *
 * @since 1.3
 */
public class AliyunSmsTemplate implements Template {

    //签名名称
    private String signName;

    //模版编码
    private String code;

    private String phoneNumber;

    private Map<String, String> param;

    public String createTtsParam(Map<String, Object> ctx) {
        return JSON.toJSONString(ctx);
    }

    public String getSignName() {
        return signName;
    }

    public void setSignName(String signName) {
        this.signName = signName;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public Map<String, String> getParam() {
        return param;
    }

    public void setParam(Map<String, String> param) {
        this.param = param;
    }
}
